module 'XApplication'
version = 43;
looseBindings = {
	};
applicationName = 'XApplication';
generateMask = 12;
useMask = 1;
ansiC = 1;
generateNewMakefile = 1;
generateMakeTemplate = 0;
useCPixmaps = 0;
useUILPixmaps = 0;
useCHeaders = 0;
useCUILHeaders = 0;
CPPFlavour = 0;
useCPPHeaders = 0;
useCPPHeadersMFCWindows = 0;
useCPPHeadersMFCMotif = 0;
value
	'buttonBackground' : color ( '#b0b0c4c4dede' );
	'editPasteIPixmap' : icon ( 
	16 16 4 1
	editPasteIPixmap_color_table : color_table (
		color ( 'SlateGrey' )= ' ',
		color ( 'SlateGrey' )= '.',
		color ( 'LightGrey' )= 'o',
		'buttonBackground' = 'O');
	'editPasteIPixmap' :  icon (
		color_table = editPasteIPixmap_color_table,
'OOOOOOOOOOOOOOOO',
'OOOOOO    OOOOOO',
'OO     oo     OO',
'O ooo o  o ooo O',
'O oo oooooo oo O',
'O oo        oo O',
'O oooooooooooo O',
'O ooooo....... O',
'O ooooo.ooooo..O',
'O ooooo.ooooo.o.',
'O ooooo.o...o...',
'O ooooo.ooooooo.',
'O ooooo.o.....o.',
'OO     .ooooooo.',
'OOOOOOO.........',
'OOOOOOOOOOOOOOOO' );
 );
	'editCutIPixmap' : icon ( 
	16 16 2 1
	editCutIPixmap_color_table : color_table (
		color ( 'SlateGrey' )= ' ',
		'buttonBackground' = '.');
	'editCutIPixmap' :  icon (
		color_table = editCutIPixmap_color_table,
'................',
'...... ... .....',
'...... ... .....',
'...... ... .....',
'......  .  .....',
'....... . ......',
'.......   ......',
'........ .......',
'.......   ......',
'....... .   ....',
'.....   . .. ...',
'.... .. . .. ...',
'.... .. . .. ...',
'.... .. ..  ....',
'.....  .........',
'................' );
 );
	'editCopyIPixmap' : icon ( 
	16 16 3 1
	editCopyIPixmap_color_table : color_table (
		color ( 'SlateGrey' )= ' ',
		color ( 'LightGrey' )= '.',
		'buttonBackground' = 'o');
	'editCopyIPixmap' :  icon (
		color_table = editCopyIPixmap_color_table,
'oooooooooooooooo',
'o      ooooooooo',
'o ....  oooooooo',
'o .... . ooooooo',
'o .  .       ooo',
'o ..... ....  oo',
'o .     .... . o',
'o ..... .  .    ',
'o .     ....... ',
'o ..... .     . ',
'o       ....... ',
'ooooooo .     . ',
'ooooooo ....... ',
'ooooooo         ',
'oooooooooooooooo',
'oooooooooooooooo' );
 );
	'fileOpenIPixmap' : icon ( 
	16 16 3 1
	fileOpenIPixmap_color_table : color_table (
		color ( 'SlateGray' )= ' ',
		color ( 'LightGrey' )= '.',
		'buttonBackground' = 'o');
	'fileOpenIPixmap' :  icon (
		color_table = fileOpenIPixmap_color_table,
'oooooooooooooooo',
'oooooooooo   ooo',
'ooooooooo ooo o ',
'oooooooooooooo  ',
'oo   oooooooo   ',
'o ...       oooo',
'o ......... oooo',
'o ......... oooo',
'o ....          ',
'o ... ......... ',
'o .. ......... o',
'o . ......... oo',
'o  ......... ooo',
'o           oooo',
'oooooooooooooooo',
'oooooooooooooooo' );
 );
	'fileNewIPixmap' : icon ( 
	16 16 3 1
	fileNewIPixmap_color_table : color_table (
		'buttonBackground' = ' ',
		color ( 'SlateGray' )= '.',
		color ( 'LightGrey' )= 'o');
	'fileNewIPixmap' :  icon (
		color_table = fileNewIPixmap_color_table,
'                ',
'  .......       ',
'  .ooooo..      ',
'  .ooooo.o.     ',
'  .ooooo.oo.    ',
'  .ooooo.ooo.   ',
'  .ooooo......  ',
'  .oooooooooo.  ',
'  .oooooooooo.  ',
'  .oooooooooo.  ',
'  .oooooooooo.  ',
'  .oooooooooo.  ',
'  .oooooooooo.  ',
'  .oooooooooo.  ',
'  ............  ',
'                ' );
 );
	'fileOpenPixmap' : icon ( 
	16 16 4 1
	fileOpenPixmap_color_table : color_table (
		color ( '#000000' )= ' ',
		color ( 'tan' )= '.',
		color ( 'DarkGoldenrod' )= 'o',
		'buttonBackground' = 'O');
	'fileOpenPixmap' :  icon (
		color_table = fileOpenPixmap_color_table,
'OOOOOOOOOOOOOOOO',
'OOOOOOOOOO   OOO',
'OOOOOOOOO OOO O ',
'OOOOOOOOOOOOOO  ',
'OO   OOOOOOOO   ',
'O ooo       OOOO',
'O ooooooooo OOOO',
'O ooooooooo OOOO',
'O oooo          ',
'O ooo ......... ',
'O oo ......... O',
'O o ......... OO',
'O  ......... OOO',
'O           OOOO',
'OOOOOOOOOOOOOOOO',
'OOOOOOOOOOOOOOOO' );
 );
	'editCopyPixmap' : icon ( 
	16 16 3 1
	editCopyPixmap_color_table : color_table (
		color ( '#000000' )= ' ',
		color ( '#FFFFFF' )= '.',
		'buttonBackground' = 'o');
	'editCopyPixmap' :  icon (
		color_table = editCopyPixmap_color_table,
'oooooooooooooooo',
'o      ooooooooo',
'o ....  oooooooo',
'o .... . ooooooo',
'o .  .       ooo',
'o ..... ....  oo',
'o .     .... . o',
'o ..... .  .    ',
'o .     ....... ',
'o ..... .     . ',
'o       ....... ',
'ooooooo .     . ',
'ooooooo ....... ',
'ooooooo         ',
'oooooooooooooooo',
'oooooooooooooooo' );
 );
	'editCutPixmap' : icon ( 
	16 16 2 1
	editCutPixmap_color_table : color_table (
		color ( 'Black' )= ' ',
		'buttonBackground' = '.');
	'editCutPixmap' :  icon (
		color_table = editCutPixmap_color_table,
'................',
'...... ... .....',
'...... ... .....',
'...... ... .....',
'......  .  .....',
'....... . ......',
'.......   ......',
'........ .......',
'.......   ......',
'....... .   ....',
'.....   . .. ...',
'.... .. . .. ...',
'.... .. . .. ...',
'.... .. ..  ....',
'.....  .........',
'................' );
 );
	'fileNewPixmap' : icon ( 
	16 16 4 1
	fileNewPixmap_color_table : color_table (
		'buttonBackground' = ' ',
		color ( 'Black' )= '.',
		color ( 'White' )= 'o',
		color ( 'LightGrey' )= 'O');
	'fileNewPixmap' :  icon (
		color_table = fileNewPixmap_color_table,
'                ',
'  .......       ',
'  .ooooo..      ',
'  .ooooo.O.     ',
'  .ooooo.OO.    ',
'  .ooooo.OOO.   ',
'  .ooooo......  ',
'  .oooooooooo.  ',
'  .oooooooooo.  ',
'  .oooooooooo.  ',
'  .oooooooooo.  ',
'  .oooooooooo.  ',
'  .oooooooooo.  ',
'  .oooooooooo.  ',
'  ............  ',
'                ' );
 );
	'editPastePixmap' : icon ( 
	16 16 6 1
	editPastePixmap_color_table : color_table (
		color ( '#000000' )= ' ',
		color ( 'DimGrey' )= '.',
		color ( 'tan' )= 'o',
		color ( '#FFFFFF' )= 'O',
		color ( '#FFFF00' )= 'a',
		'buttonBackground' = 'b');
	'editPastePixmap' :  icon (
		color_table = editPastePixmap_color_table,
'bbbbbbbbbbbbbbbb',
'bbbbbb    bbbbbb',
'bb     aa     bb',
'b ooo a  a ooo b',
'b oo bbbbbb oo b',
'b oo        oo b',
'b oooooooooooo b',
'b ooooo....... b',
'b ooooo.OOOOO..b',
'b ooooo.OOOOO.O.',
'b ooooo.O...O...',
'b ooooo.OOOOOOO.',
'b ooooo.O.....O.',
'bb     .OOOOOOO.',
'bbbbbbb.........',
'bbbbbbbbbbbbbbbb' );
 );
	'helpHelpPixmap' : icon ( 
	16 16 2 1
	helpHelpPixmap_color_table : color_table (
		color ( '#000084' )= ' ',
		'buttonBackground' = '.');
	'helpHelpPixmap' :  icon (
		color_table = helpHelpPixmap_color_table,
'................',
'......    ......',
'.....      .....',
'....  ...   ....',
'....  ....  ....',
'....  ...   ....',
'........   .....',
'.......   ......',
'.......  .......',
'.......  .......',
'.......  .......',
'................',
'.......  .......',
'.......  .......',
'................',
'................' );
 );
	'helpHelpIPixmap' : icon ( 
	16 16 2 1
	helpHelpIPixmap_color_table : color_table (
		color ( 'SlateGrey' )= ' ',
		'buttonBackground' = '.');
	'helpHelpIPixmap' :  icon (
		color_table = helpHelpIPixmap_color_table,
'................',
'......    ......',
'.....      .....',
'....  ...   ....',
'....  ....  ....',
'....  ...   ....',
'........   .....',
'.......   ......',
'.......  .......',
'.......  .......',
'.......  .......',
'................',
'.......  .......',
'.......  .......',
'................',
'................' );
 );
	'fileSavePixmap' : icon ( 
	16 16 7 1
	fileSavePixmap_color_table : color_table (
		color ( '#000000' )= ' ',
		color ( 'white' )= '.',
		color ( 'MistyRose' )= 'o',
		color ( '#848284' )= 'O',
		color ( '#FFFFFF' )= 'a',
		color ( '#FFFF00' )= 'b',
		'buttonBackground' = 'c');
	'fileSavePixmap' :  icon (
		color_table = fileSavePixmap_color_table,
'cccccccccccccccc',
'c              c',
'c o ........ o c',
'c o ........ o c',
'c o ........ o c',
'c o ........ o c',
'c o ........ o c',
'c o ........ o c',
'c oo        oo c',
'c oooooooooooo c',
'c oo         o c',
'c oo      .. o c',
'c oo      .. o c',
'c oo      .. o c',
'cc             c',
'cccccccccccccccc' );
 );
	'fileSaveIPixmap' : icon ( 
	16 16 3 1
	fileSaveIPixmap_color_table : color_table (
		color ( 'SlateGray' )= ' ',
		color ( 'LightGrey' )= '.',
		'buttonBackground' = 'o');
	'fileSaveIPixmap' :  icon (
		color_table = fileSaveIPixmap_color_table,
'oooooooooooooooo',
'o              o',
'o . ........ . o',
'o . ........ . o',
'o . ........ . o',
'o . ........ . o',
'o . ........ . o',
'o . ........ . o',
'o ..        .. o',
'o ............ o',
'o ..         . o',
'o ..      .. . o',
'o ..      .. . o',
'o ..      .. . o',
'oo             o',
'oooooooooooooooo' );
 );
	'filePrintPixmap' : icon ( 
	16 16 7 1
	filePrintPixmap_color_table : color_table (
		color ( '#000000' )= ' ',
		color ( 'white' )= '.',
		color ( 'MistyRose' )= 'o',
		color ( '#848284' )= 'O',
		color ( '#FFFFFF' )= 'a',
		color ( '#FFFF00' )= 'b',
		'buttonBackground' = 'c');
	'filePrintPixmap' :  icon (
		color_table = filePrintPixmap_color_table,
'cccccccccccccccc',
'cccccccccccccccc',
'cccc        cccc',
'cccc ...... cccc',
'cccc .   .. cccc',
'cccc ...... cccc',
'cccc .    . cccc',
'cccc ...... cccc',
'ccc          ccc',
'cc .......... cc',
'c  OOOOOOOOOO  c',
'c ............ c',
'c . .......... c',
'c ............ c',
'cc            cc',
'cccccccccccccccc' );
 );
	'filePrintIPixmap' : icon ( 
	16 16 7 1
	filePrintIPixmap_color_table : color_table (
		color ( 'SlateGrey' )= ' ',
		color ( 'LightGrey' )= '.',
		color ( 'MistyRose' )= 'o',
		color ( '#848284' )= 'O',
		color ( '#FFFFFF' )= 'a',
		color ( '#FFFF00' )= 'b',
		'buttonBackground' = 'c');
	'filePrintIPixmap' :  icon (
		color_table = filePrintIPixmap_color_table,
'cccccccccccccccc',
'cccccccccccccccc',
'cccc        cccc',
'cccc ...... cccc',
'cccc .   .. cccc',
'cccc ...... cccc',
'cccc .    . cccc',
'cccc ...... cccc',
'ccc          ccc',
'cc .......... cc',
'c              c',
'c ............ c',
'c . .......... c',
'c ............ c',
'cc            cc',
'cccccccccccccccc' );
 );
object 'docShell' : XmDialogShell {
	arguments {
	codeStruct = 4;
	suppressMFCResize = true;
	XmNallowShellResize = true;
	XmNprimary = 1;
	};
object 'mainWindow' : XmNewMainWindow {
	arguments {
	XmNscrollingPolicy = 0;
	XmNmessageWindow = 'statusBar';
	};
object 'hsb' : XmScrollBar {
	arguments {
	name = 'HorScrollBar';
	};
};
object 'vsb' : XmScrollBar {
	arguments {
	name = 'VertScrollBar';
	};
};
object '1' : XmSeparator GADGET {
	arguments {
	name = 'Separator1';
	};
};
object '2' : XmSeparator GADGET {
	arguments {
	name = 'Separator2';
	};
};
object '3' : XmSeparator GADGET {
	arguments {
	name = 'Separator3';
	};
};
object 'mainForm' : XmForm {
	arguments {
	XmNdialogTitle = '<AppName>';
	XmNautoUnmanage = false;
	};
object 'toolBar' : XmRowColumn {
	arguments {
	folded = true;
	XmNspacing = 0;
	XmNorientation = 2;
	XmNpacking = 1;
	};
object 'newButton' : XmPushButton {
	arguments {
	XmNbackground = 'buttonBackground';
	XmNlabelPixmap = '<fileNewPixmap>';
	XmNlabelInsensitivePixmap = '<fileNewIPixmap>';
	XmNlabelString = 'New';
	XmNlabelType = 1;
	};
};
object 'openButton' : XmPushButton {
	arguments {
	XmNbackground = 'buttonBackground';
	XmNlabelPixmap = '<fileOpenPixmap>';
	XmNlabelInsensitivePixmap = '<fileOpenIPixmap>';
	XmNlabelString = 'Open...';
	XmNlabelType = 1;
	};
};
object 'saveButton' : XmPushButton {
	arguments {
	XmNbackground = 'buttonBackground';
	XmNlabelPixmap = '<fileSavePixmap>';
	XmNlabelInsensitivePixmap = '<fileSaveIPixmap>';
	XmNlabelString = 'Save';
	XmNlabelType = 1;
	};
};
object 'printButton' : XmPushButton {
	arguments {
	XmNbackground = 'buttonBackground';
	XmNlabelPixmap = '<filePrintPixmap>';
	XmNlabelInsensitivePixmap = '<filePrintIPixmap>';
	XmNlabelString = 'Print...';
	XmNlabelType = 1;
	};
};
object '4' : XmSeparator GADGET {
	arguments {
	name = 'separator1';
	XmNwidth = 4;
	XmNseparatorType = 0;
	XmNorientation = 1;
	XmNmargin = 0;
	};
};
object 'cutButton' : XmPushButton {
	arguments {
	XmNbackground = 'buttonBackground';
	XmNlabelPixmap = '<editCutPixmap>';
	XmNlabelInsensitivePixmap = '<editCutIPixmap>';
	XmNlabelString = 'Cut';
	XmNlabelType = 1;
	};
};
object 'copyButton' : XmPushButton {
	arguments {
	XmNbackground = 'buttonBackground';
	XmNlabelPixmap = '<editCopyPixmap>';
	XmNlabelInsensitivePixmap = '<editCopyIPixmap>';
	XmNlabelString = 'Copy';
	XmNlabelType = 1;
	};
};
object 'pasteButton' : XmPushButton {
	arguments {
	XmNbackground = 'buttonBackground';
	XmNlabelPixmap = '<editPastePixmap>';
	XmNlabelInsensitivePixmap = '<editPasteIPixmap>';
	XmNlabelString = 'Paste';
	XmNlabelType = 1;
	};
};
object '5' : XmSeparator GADGET {
	arguments {
	name = 'separator2';
	XmNwidth = 4;
	XmNseparatorType = 0;
	XmNorientation = 1;
	XmNmargin = 0;
	};
};
object 'helpButton' : XmPushButton {
	arguments {
	XmNbackground = 'buttonBackground';
	XmNlabelPixmap = '<helpHelpPixmap>';
	XmNlabelInsensitivePixmap = '<helpHelpIPixmap>';
	XmNlabelString = 'Help';
	XmNlabelType = 1;
	};
};
};
    attachments {
    attachment {
	XmNrightAttachment = 1 0;
	XmNleftAttachment = 1 0;
	XmNtopAttachment = 1 0;
    };
    };
};
object 'menuBar' : XmMenuBar {
	arguments {
	XmNmenuHelpWidget = 'helpCB';
	};
object 'fileCB' : XmCascadeButton {
	arguments {
	XmNlabelString = 'File';
	XmNmnemonic = 'F';
	};
object 'fileMenu' : XmPulldownMenu {
	arguments {
	folded = true;
	};
object 'newItem' : XmPushButton {
	arguments {
	XmNlabelString = 'New';
	XmNmnemonic = 'N';
	XmNacceleratorText = 'Ctrl+N';
	};
	callbacks {
	XmNactivateCallback = '
OnFileNew( docShell )
';
	};
};
object 'openItem' : XmPushButton {
	arguments {
	XmNlabelString = 'Open...';
	XmNmnemonic = 'O';
	XmNacceleratorText = 'Ctrl+O';
	};
	callbacks {
	XmNactivateCallback = '
OnFileOpen( docShell )
';
	};
};
object 'closeItem' : XmPushButton {
	arguments {
	XmNlabelString = 'Close';
	XmNmnemonic = 'C';
	};
	callbacks {
	XmNactivateCallback = '
OnFileClose( docShell )
';
	};
};
object '6' : XmSeparator {
	arguments {
	};
};
object 'saveItem' : XmPushButton {
	arguments {
	XmNlabelString = 'Save';
	XmNmnemonic = 'S';
	XmNacceleratorText = 'Ctrl+S';
	};
	callbacks {
	XmNactivateCallback = '
OnFileSave( docShell )
';
	};
};
object 'saveAsItem' : XmPushButton {
	arguments {
	XmNlabelString = 'Save As...';
	XmNmnemonic = 'A';
	};
	callbacks {
	XmNactivateCallback = '
OnFileSaveAs( docShell )
';
	};
};
object 'revertItem' : XmPushButton {
	arguments {
	XmNlabelString = 'Revert to Saved';
	XmNmnemonic = 'R';
	};
	callbacks {
	XmNactivateCallback = '
OnFileRevert( docShell )
';
	};
};
object '7' : XmSeparator {
	arguments {
	};
};
object 'printItem' : XmPushButton {
	arguments {
	XmNlabelString = 'Print...';
	XmNmnemonic = 'P';
	XmNacceleratorText = 'Ctrl+P';
	};
	callbacks {
	XmNactivateCallback = '
OnFilePrint( docShell )
';
	};
};
object '8' : XmSeparator {
	arguments {
	};
};
object 'quitItem' : XmPushButton {
	arguments {
	XmNlabelString = 'Exit';
	XmNmnemonic = 'E';
	XmNacceleratorText = 'Ctrl+E';
	};
	callbacks {
	XmNactivateCallback = '
OnFileQuit( docShell )
';
	};
};
};
};
object 'editCB' : XmCascadeButton {
	arguments {
	XmNlabelString = 'Edit';
	XmNmnemonic = 'E';
	};
object 'editMenu' : XmPulldownMenu {
	arguments {
	folded = true;
	};
object 'undoItem' : XmPushButton {
	arguments {
	XmNlabelString = 'Undo';
	XmNmnemonic = 'U';
	XmNacceleratorText = 'Ctrl+Z';
	};
	callbacks {
	XmNactivateCallback = '
OnEditUndo( docShell )
';
	};
};
object '9' : XmSeparator {
	arguments {
	};
};
object 'cutItem' : XmPushButton {
	arguments {
	XmNlabelString = 'Cut';
	XmNmnemonic = 't';
	XmNacceleratorText = 'Ctrl+X';
	};
	callbacks {
	XmNactivateCallback = '
OnEditCut( docShell )
';
	};
};
object 'copyItem' : XmPushButton {
	arguments {
	XmNlabelString = 'Copy';
	XmNmnemonic = 'C';
	XmNacceleratorText = 'Ctrl+C';
	};
	callbacks {
	XmNactivateCallback = '
OnEditCopy( docShell )
';
	};
};
object 'pasteItem' : XmPushButton {
	arguments {
	XmNlabelString = 'Paste';
	XmNmnemonic = 'P';
	XmNacceleratorText = 'Ctrl+V';
	};
	callbacks {
	XmNactivateCallback = '
OnEditPaste( docShell )
';
	};
};
object '10' : XmSeparator {
	arguments {
	};
};
object 'clearItem' : XmPushButton {
	arguments {
	XmNlabelString = 'Clear';
	XmNmnemonic = 'e';
	XmNacceleratorText = 'Del';
	};
	callbacks {
	XmNactivateCallback = '
OnEditClear( docShell )
';
	};
};
};
};
object 'viewCB' : XmCascadeButton {
	arguments {
	XmNlabelString = 'View';
	XmNmnemonic = 'V';
	};
object 'viewMenu' : XmPulldownMenu {
	arguments {
	folded = true;
	};
object 'toolPalItem' : XmPushButton {
	arguments {
	XmNlabelString = 'Show Tool Palette...';
	XmNmnemonic = 'S';
	};
	callbacks {
	xDShow = 'toolPalShell';
	};
};
};
};
object 'helpCB' : XmCascadeButton {
	arguments {
	XmNlabelString = 'Help';
	XmNmnemonic = 'H';
	};
object 'helpMenu' : XmPulldownMenu {
	arguments {
	folded = true;
	};
object 'onVersionItem' : XmPushButton {
	arguments {
	XmNlabelString = 'On Version...';
	XmNmnemonic = 'O';
	};
	callbacks {
	xDShow = 'aboutShell';
	};
};
object 'helpItem' : XmPushButton {
	arguments {
	XmNlabelString = 'Help...';
	XmNmnemonic = 'H';
	};
	callbacks {
	XmNactivateCallback = '
OnHelpHelp( docShell )
';
	};
};
};
};
};
object 'statusBar' : XmRowColumn {
	arguments {
	XmNspacing = 0;
	XmNorientation = 2;
	};
object 'statusLabel' : XmLabel {
	arguments {
	XmNlabelString = 'Help prompts go here.';
	};
};
};
};
};
object 'toolPalShell' : XmDialogShell {
	arguments {
	was_selected = true;
	codeStruct = 4;
	XmNallowShellResize = true;
	};
object 'toolPalForm' : XmForm {
	arguments {
	XmNdialogTitle = '<AppName>';
	XmNautoUnmanage = false;
	XmNnoResize = true;
	};
object '1' : XmRowColumn {
	arguments {
	XmNorientation = 2;
	XmNpacking = 2;
	XmNentryAlignment = 1;
	};
object 'newPalB' : XmPushButton {
	arguments {
	XmNlabelString = 'New';
	};
	callbacks {
	XmNactivateCallback = '
OnToolPalNew( toolPalShell )
';
	};
};
object 'openPalB' : XmPushButton {
	arguments {
	XmNlabelString = 'Open';
	};
	callbacks {
	XmNactivateCallback = '
OnToolPalOpen( toolPalShell )
';
	};
};
object 'helpPalB' : XmPushButton {
	arguments {
	XmNlabelString = 'Help';
	};
	callbacks {
	XmNactivateCallback = '
OnToolPalHelp( toolPalShell )
';
	};
};
object 'quitPalB' : XmPushButton {
	arguments {
	XmNlabelString = 'Quit';
	};
	callbacks {
	XmNactivateCallback = '
OnToolPalQuit( toolPalShell )
';
	};
};
};
    attachments {
    attachment {
	XmNleftAttachment = 1 0;
	XmNtopAttachment = 1 0;
    };
    };
};
};
object 'saveChangesShell' : XmDialogShell {
	arguments {
	codeStruct = 4;
	XmNallowShellResize = true;
	};
object 'saveChangesMB' : XmMessageBox {
	arguments {
	XmNdialogType = 1;
	XmNmessageAlignment = 1;
	XmNmessageString = 'Save changes before closing?';
	XmNokLabelString = 'Save';
	};
object 'saveChangesCancelButton' : XmPushButton GADGET {
	arguments {
	name = 'Cancel';
	};
	callbacks {
	XmNactivateCallback = '
OnSaveChangesCancel( saveChangesShell )
';
	};
};
object 'saveChangesHelpButton' : XmPushButton GADGET {
	arguments {
	name = 'Help';
	};
	callbacks {
	XmNactivateCallback = '
OnSaveChangesHelp( saveChangesShell )
';
	};
};
object 'messageLabel' : XmLabel GADGET {
	arguments {
	name = 'MessageLabel';
	};
};
object 'saveChangesOkButton' : XmPushButton GADGET {
	arguments {
	name = 'OK';
	};
	callbacks {
	XmNactivateCallback = '
OnSaveChangesOk( saveChangesShell )
';
	};
};
object '11' : XmSeparator GADGET {
	arguments {
	name = 'Separator';
	};
};
object '1' : XmLabel GADGET {
	arguments {
	name = 'Symbol';
	};
};
object 'saveChangesDontSaveButton' : XmPushButton GADGET {
	arguments {
	XmNlabelString = 'Don\'t Save';
	};
	callbacks {
	XmNactivateCallback = '
OnSaveChangesDontSave( saveChangesShell )
';
	};
};
};
};
object 'aboutShell' : XmDialogShell {
	arguments {
	codeStruct = 4;
	XmNallowShellResize = true;
	};
object 'aboutDT' : XmMessageTemplate {
	arguments {
	XmNdialogTitle = 'About <AppName>';
	XmNautoUnmanage = false;
	XmNdialogType = 0;
	};
object '12' : XmSeparator GADGET {
	arguments {
	name = 'Separator';
	};
};
object 'aboutOkButton' : XmPushButton {
	arguments {
	XmNlabelString = 'OK';
	};
	callbacks {
	xDHide = 'aboutShell';
	};
};
object 'aboutLabel' : XmLabel {
	arguments {
	XmNlabelString = '<AppName>
Copyright (C) <Date> <Author>';
	};
};
};
};
object 'saveFileShell' : XmDialogShell {
	arguments {
	codeStruct = 4;
	XmNallowShellResize = true;
	};
object 'saveFileFSB' : XmNewFileSelectionBox {
	arguments {
	XmNdialogTitle = 'Save File';
	};
object 'saveFileApplyButton' : XmPushButton GADGET {
	arguments {
	name = 'Apply';
	};
	callbacks {
	XmNactivateCallback = '
OnSaveFileApply( saveFileShell )
';
	};
};
object 'saveFileCancelButton' : XmPushButton GADGET {
	arguments {
	name = 'Cancel';
	};
	callbacks {
	XmNactivateCallback = '
OnSaveFileCancel( saveFileShell )
';
	};
};
object 'saveFileHelpButton' : XmPushButton GADGET {
	arguments {
	name = 'Help';
	};
	callbacks {
	XmNactivateCallback = '
OnSaveFileHelp( saveFileShell )
';
	};
};
object '1' : XmScrolledList {
	arguments {
	};
object '1' : XmScrollBar {
	arguments {
	name = 'HorScrollBar';
	};
};
object '2' : XmScrollBar {
	arguments {
	name = 'VertScrollBar';
	};
};
object 'saveFileFileList' : XmList {
	arguments {
	name = 'ItemsList';
	};
};
};
object 'saveFileFileLabel' : XmLabel GADGET {
	arguments {
	name = 'Items';
	};
};
object 'saveFileOkButton' : XmPushButton GADGET {
	arguments {
	name = 'OK';
	};
	callbacks {
	XmNactivateCallback = '
OnSaveFileOk( saveFileShell )
';
	};
};
object 'saveFileSelectionLabel' : XmLabel GADGET {
	arguments {
	name = 'Selection';
	};
};
object '13' : XmSeparator GADGET {
	arguments {
	name = 'Separator';
	};
};
object 'saveFileSelectionText' : XmTextField {
	arguments {
	name = 'Text';
	};
};
object 'saveFileFilterLabel' : XmLabel GADGET {
	arguments {
	name = 'FilterLabel';
	};
};
object 'saveFileFilterText' : XmTextField {
	arguments {
	name = 'FilterText';
	};
};
object 'saveFileDirLabel' : XmLabel GADGET {
	arguments {
	name = 'Dir';
	};
};
object '2' : XmScrolledList {
	arguments {
	};
object '3' : XmScrollBar {
	arguments {
	name = 'HorScrollBar';
	};
};
object '4' : XmScrollBar {
	arguments {
	name = 'VertScrollBar';
	};
};
object 'saveFileDirList' : XmList {
	arguments {
	name = 'DirList';
	};
};
};
};
};
object 'openFileShell' : XmDialogShell {
	arguments {
	codeStruct = 4;
	XmNallowShellResize = true;
	};
object 'openFileFSB' : XmNewFileSelectionBox {
	arguments {
	XmNdialogTitle = 'Open File';
	};
object 'openFileApplyButton' : XmPushButton GADGET {
	arguments {
	name = 'Apply';
	};
	callbacks {
	XmNactivateCallback = '
OnOpenFileApply( openFileShell )
';
	};
};
object 'openFileCancelButton' : XmPushButton GADGET {
	arguments {
	name = 'Cancel';
	};
	callbacks {
	XmNactivateCallback = '
OnOpenFileCancel( openFileShell )
';
	};
};
object 'openFileHelpButton' : XmPushButton GADGET {
	arguments {
	name = 'Help';
	};
	callbacks {
	XmNactivateCallback = '
OnOpenFileHelp( openFileShell )
';
	};
};
object '3' : XmScrolledList {
	arguments {
	};
object '5' : XmScrollBar {
	arguments {
	name = 'HorScrollBar';
	};
};
object '6' : XmScrollBar {
	arguments {
	name = 'VertScrollBar';
	};
};
object 'openFileFileList' : XmList {
	arguments {
	name = 'ItemsList';
	};
};
};
object 'openFileFileLabel' : XmLabel GADGET {
	arguments {
	name = 'Items';
	};
};
object 'openFileOkButton' : XmPushButton GADGET {
	arguments {
	name = 'OK';
	};
	callbacks {
	XmNactivateCallback = '
OnOpenFileOk( openFileShell )
';
	};
};
object 'openFileSelectionLabel' : XmLabel GADGET {
	arguments {
	name = 'Selection';
	};
};
object '14' : XmSeparator GADGET {
	arguments {
	name = 'Separator';
	};
};
object 'openFileSelectionText' : XmTextField {
	arguments {
	name = 'Text';
	};
};
object 'openFileFilterLabel' : XmLabel GADGET {
	arguments {
	name = 'FilterLabel';
	};
};
object 'openFileFilterText' : XmTextField {
	arguments {
	name = 'FilterText';
	};
};
object 'openFileDirLabel' : XmLabel GADGET {
	arguments {
	name = 'Dir';
	};
};
object '4' : XmScrolledList {
	arguments {
	};
object '7' : XmScrollBar {
	arguments {
	name = 'HorScrollBar';
	};
};
object '8' : XmScrollBar {
	arguments {
	name = 'VertScrollBar';
	};
};
object 'openFileDirList' : XmList {
	arguments {
	name = 'DirList';
	};
};
};
};
};
end module;
